Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05533 Crash/Freeze Critical (emulator) Always Apr 18, 2014, 22:41 Apr 3, 2022, 02:49
Tester Tafoid View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver rastersp.cpp
Version 0.153 Fixed in Version 0.243 Build
Fixed in Git Commit 209b0bf Github Pull Request #
Summary 05533: fbcrazy: Crash about 8 seconds into startup
Description
53C7XX (':maincpu' (00010876)): DBC should not be 0
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.147u4 (Added)
Affected Sets / Systems fbcrazy
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.11737
peterferrie
Developer
Jun 10, 2015, 05:29
this is the SCSI script that's running and failing:
53C7XX (':maincpu' (0001AF5D)): SCRIPTS [0001a860]: IO: SELECT (1a990)
53C7XX ((no context)): SCRIPTS [0001a868]: TC: JUMP F (Message Out) (1a940)
53C7XX ((no context)): SCRIPTS [0001a940]: TC: JUMP T (Message Out) (1a870)
53C7XX ((no context)): SCRIPTS [0001a948]: TC: JUMP T (Command) (1a890)
53C7XX ((no context)): SCRIPTS [0001a950]: TC: JUMP T (Data In) (1a8b0)
53C7XX ((no context)): SCRIPTS [0001a958]: TC: JUMP T (Data Out) (1a8c8)
53C7XX ((no context)): SCRIPTS [0001a8c8]: TC: INT F (Data Out) (3)
53C7XX ((no context)): SCRIPTS [0001a8d0]: BMOV: Data Out [25930] 0 bytes
53C7XX ((no context)): DBC should not be 0

Why can't DBC be 0?
User avatar
No.19988
M.A.S.H.
Senior Tester
Apr 3, 2022, 02:49
Fixed by Paul-Arnold: https://git.redump.net/mame/commit/?id=209b0bf704b7625c56da6051db20595c656a1e01